package com.ssj.dao.sys.role.dao;

import com.ssj.bean.sys.role.domain.AdminRole;
import com.ssj.bean.sys.role.domain.RoleMenu;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;


public interface RoleQueryDao {
	 Page<Map<String, Object>> findForPage(Map<String, Object> searchParams, Pageable pageable);
	 public void batchInsertRoleMenu(List<RoleMenu> list);
	 public void batchInsertAdminRole(List<AdminRole> list);
	
	 Page<Map<String,Object>> findByPageMap(Map<String, Object> params, Pageable sp) throws Exception;
	
	 Page<Map<String, Object>> findForPushPage(Map<String, Object> params, Pageable initPage);
}
